Library Version 18.1.40

DB_MULTIPLE_KEY_WRITE_NEXT
Prev | Chapter 4. The DBT Handle | Next

## DB_MULTIPLE_KEY_WRITE_NEXT

    #include <db.h>

    DB_MULTIPLE_KEY_WRITE_NEXT(void *pointer, DBT *dbt,
        void *key, size_t klen, void *data, size_t dlen);

Appends a key / data pair to the bulk buffer.

### Parameters

#### pointer

The pointer parameter is a variable that must have been initialized by a call to DB_MULTIPLE_WRITE_INIT.

This parameter is set to NULL if the data item does not fit in the buffer.

#### dbt

The dbt parameter is a DBT structure initialized with DB_MULTIPLE_WRITE_INIT.

#### key

A pointer to the bytes for the key to be copied into the bulk buffer.

#### klen

The number of bytes to be copied for the key.

#### data

A pointer to the bytes for the data item to be copied into the bulk buffer.

#### dlen

The number of bytes to be copied for the data item.

### Class

DBT

### See Also

DBT and Bulk Operations

Prev | Up | Next
DB_MULTIPLE_RESERVE_NEXT | Home | DB_MULTIPLE_KEY_RESERVE_NEXT